import { defineComponent as i, createBlock as s, openBlock as c, unref as l } from "vue";
import { E as a } from "./start-BYfL32Oe.mjs";
import "vue-i18n";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
const h = /* @__PURE__ */ i({
  __name: "TasksIcon",
  props: {
    module: {}
  },
  emits: ["open"],
  setup(e, { emit: n }) {
    const t = e, m = n;
    function p() {
      m("open", { ...t.module, moduleUrl: "tasks-task-overview" });
    }
    return (r, u) => {
      var o;
      return c(), s(l(a), {
        icon: ((o = r.module) == null ? void 0 : o.icon) || "task",
        onClick: p
      }, null, 8, ["icon"]);
    };
  }
});
export {
  h as default
};
